## com.baidubce.internal
Class RestartableInputStream

    java.lang.Object
      java.io.InputStream
          com.baidubce.internal.RestartableInputStream

All Implemented Interfaces:
  Closeable

Direct Known Subclasses:
  RestartableFileInputStream, RestartableMultiByteArrayInputStream, RestartableNonResettableInputStream, RestartableResettableInputStream

    public abstract class RestartableInputStream

extends InputStream

Abstract class Restartable InputStream extends InputStream.

Constructor Summary
`RestartableInputStream()`

Method Summary
`abstract void` `restart()`
`static RestartableInputStream` `wrap(byte[] b)`

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, read, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RestartableInputStream

    public RestartableInputStream()

Method Detail

### restart

    public abstract void restart()

### wrap

    public static RestartableInputStream wrap(byte[] b)

Copyright © 2016. All rights reserved.